\name{testGagglePackage}
\alias{testGagglePackage}
\title{Run unit tests for the Gaggle Package}
\description{There are five data types supported in the Gaggle:
  \enumerate{
  \item nameLists
  \item matrices
  \item networks
  \item tuples (environments in R)
  \item clusters (typically, row names and associated column names, selecting a submatix)
  }
  A good test of an installation, therfore, is to send each of these data types from R to
  an \sQuote{echo goose}, and to make sure that the returned 
  data is identical to that which was sent out.  This function loads the
  \code{RUnit} package, assumes that a boss and echo goose are running
  and properly configured, then calls one function for each data type.

  Procedure:
  \enumerate{
    \item Browse to http://gaggle.systemsbiology.net/projects/rValidation
    \item start the Gaggle Boss
    \item start the echo goose
    \item (back in R): testGagglePackage ()
    }
   
  For more details, please examine the source: unitTests/gaggleTest.R.

}
\usage{testGagglePackage ()}
\value{the status of the last test}
\keyword{utilities}

